Subject: [mobile-ip] dynamic home addressing as a WG item??

From: "Sandy Thuel" <[email-masked]>
Date: Mon, 9 Apr 2001 12:12:48 -0400

The following message never made it to the mailing
list so I'm resending it. 

-----Original Message-----
From: Sandy Thuel [mailto:[email-masked]] 
Sent: Wednesday, April 04, 2001 12:15 PM
To: James Kempf; [email-masked];
[email-masked]
Subject: RE: [mobile-ip] dynamic home addressing as a WG item??

Hi James,

> 
> >1) What is the real value of DHCP options to mobile
> >   nodes?
> 
> Frankly, I'd like to avoid having the mobile node have to use DHCP. It
> would be better to have a single, unified address provisioning mechanism
> based on mobile IP. The mobile node will have to use mobile IP
> anyway.

I hear clearly that you'd rather NOT use DHCP
but you haven't yet answered the question of
whether or not configuration options are important.
Are you implying that "address provisioning" is
all that matters and other configuration options
are NOT important? Or are you saying that no 
matter what configuration state is needed, Mobile
IP should provision it?

> 
> >2) How important is it to minimize the power-up
> >   configuration latency of a mobile node?
> 
> I think this is important, particularly for small devices that 
> come and go. 
> Obviously,
> for an appliance like a cell phone that comes on and stays on (but maybe
> in low power mode) it is less important.

Good observation.  Users that power-up devices
frequently are likely to be less tolerant of 
configuration latency than those who keep their
devices powered on for extended periods of time
(e.g., cellphones).  But do you have any idea
as to what latency is considered tolerable in 
either case?

> 
> >3) How feasible do you think it is to
> >   require changes on Mobile IP home agents
> >   to provide a new service (e.g., DHCP proxy
> >   service support)?
> 
> MIPv4 is already undergoing deployment, so it seems like changing this
> would be a hardship. I'm not exactly sure I understand why any protocol 
> changes are
> necessary. Why couldn't the HA simply use DHCP through an API?

I didn't say that any protocol changes are 
necessary (unless the MN requires anything more than
a home address, as per my comment on the following
question).  What is needed is some *implementation*
changes on home agents to provide DHCP
proxy services.  As for what this implementation
entails, one solution, as you implicitly suggest,
is to have an API between the HA and a co-located
DHCP proxy agent.  Rather than keeping the HA 
and DHCP proxies logically separated through an
API, the implementation of DHCP proxies 
could be more tightly integrated with the HA.
The issue here is not to debate on which is the
best way to implement proxy services on home
agents but to discuss whether or not ANY 
implementation changes to HA's to provide such
services is a feasible requirement at this stage,
when MIPv4 is already being deployed.

> 
> 
> >4) How do you feel about the idea of adding
> >    DHCP-specific extensions to Mobile IP?
> >
> 
> 
> I'm opposed to adding DHCP extensions to mobile IP. I would rather see
> an address provisioning mechanism presented to the mobile node
> that hides the back end provisioning scheme.
> 

So you're implying once again that you don't
care about any other configuration besides an
IP address, correct? Note that if you DO care
about anything other than an IP address, there is
no other recourse but to extend Mobile IP to
allow the MN to ask for it and get it from a
HA.

Thanks for your input!

Sandy